<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Šišaj lega!</title>
    <link rel="stylesheet" type="text/css" href="..\..\static\css_files\sisaj_lega.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
</head>

<style>
    .detekcija-button{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: auto;
    height: 15%;
    border-radius: 5px;
    padding: 15px 20px;
    background-color: var(--link-color);
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    text-decoration: none;
    }
    .detekcija-button:hover{
        background-color: #e6931d;
    }
    .detekcija-button a{
        text-decoration: none;
        color: white;
        font-weight: 600;
    }
</style>

<body>
    {% extends 'base/base.html' %}

    {% block content %}
    
    <div class="header-img">
        <div>
            <img src="../../static/images/barbershop-img2.jpg" alt="barbershop-img" class="barbershop-img">
            {% if user.is_authenticated %}
                <button class="detekcija-button">
                    <a href="{% url 'upload' %}">PRONAĐI SVOJU SAVRŠENU FRIZURU</a>
                </button>
            {% else %}
                <button class="detekcija-button">
                    <a href="{% url 'login' %}?next={% url 'upload' %}">PRIJAVI SE ZA PRONALAZAK FRIZURE</a>
                </button>
            {% endif %}
        </div>     
    </div>


    <main>
        <div class="opis-str">
            <article class="pocetna-text">
                Došao si kod svog frizera i ne znaš kako mu objasniti koju frizuru želiš? Onda si došao na pravo mjesto.
                Pronađi se u nekim frizurama koje su trenutno u điru, pokaži svom frizeru i reci mu ŠIŠAJ LEGA! 
           </article>
        </div>

        <hr class="paralela">
        
        <div class="pocetna-frizure">
            <h2>Frizure</h2>
        </div>
        
        <div class="pocetna-grid">
            <div class="pocetna-kratke-wrap">
                <img src="../../static/images/short during odr.jpg" alt="kratka kosa">
            </div>
            <div class="pocetna-duge-wrap">
                <img src="../../static/images/long during big odr.jpg" alt="duga kosa">
            </div>
            <div class="pocetna-fade-wrap">
                <img src="../../static/images/fade during odr.jpg" alt="prijelazi">
            </div>

            <div class="pocetna-opis pocetna-opis-kratke">
                <h3>Kratka kosa</h3>
                <p>
                    Kratka kosa kod muškaraca često simbolizira praktičnost, dinamičnost i moderni stil. Od klasičnih "vojničkih" do suvremenih frizura, postoji niz muških frizura za kratku kosu koje kombiniraju tradicionalne tehnike s inovativnim pristupima.
                </p>
            </div>
            <div class="pocetna-opis pocetna-opis-duge">
                <h3>Duga kosa</h3>
                <p>
                    Duga kosa kod muškaraca često simbolizira slobodu, bunt i izražavanje individualnosti. Od romantičnih valova do grunge pletenica, postoji niz muških frizura za dugu kosu koje kombiniraju tradiciju i suvremenost.
                </p>
            </div>
            <div class="pocetna-opis pocetna-opis-fade">
                <h3>Prijelazi</h3>
                <p>
                    Frizure s prijelazima ističu prirodne prijelaze između različitih duljina kose, pružajući glatke i fluidne linije koje dodaju dimenziju i dubinu. Prijelazi se mogu oblikovati na različite načine, različitim alatima od kojih su najčešće korištene mašinice za šišanje, trimeri te brijači.
                </p>
            </div>

            <div class="pocetna-button button-kratke">
                <a href="{% url 'kratke' %}">Istraži više</a>
            </div>
            <div class="pocetna-button button-duge">
                <a href="{% url 'duge' %}">Istraži više</a>
            </div>
            <div class="pocetna-button button-fade">
                <a href="{% url 'fades' %}">Istraži više</a>
            </div>
        </div>

        <br class="br">
    </main>
    
    <footer>
        <p>&copy; 2024 Šišaj lega!</p>
        <p><a href="#">Privacy Policy</a> | <a href="#">Terms of Service</a></p>
    </footer>

    {% endblock content %}
</body>
</html>
